Bug 150313 - CAN-2005-0759 Denial of Service in .tiff images with invalid TAG
Summary: CAN-2005-0759 Denial of Service in .tiff images with invalid TAG
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=low,public=20040311,source=ven...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-04 16:26 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-19 02:57:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-03-04 16:26:59 UTC
+++ This bug was initially created as a clone of Bug #150312 +++

If a tiff file contains an invalid tag which lead to Segmentation fault of
ImageMagick based programs.

* fixed in 6.0.0


The patch for this issue is attachment 111665 [details]
The demo image for this issue is attachment 111666 [details]

Comment 1 Matthias Clasen 2005-03-19 02:57:59 UTC
Fixed by moving to 6.2.0


Note You need to log in before you can comment on or make changes to this bug.